﻿using CommunityToolkit.Maui.Alerts;
using CommunityToolkit.Maui.Core;

namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        this.showButton.Clicked += showButton_Clicked;
    }

    #endregion

    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Private

    #region 스낵바 표시 버튼 클릭시 처리하기 - showButton_Clicked(sender, e)

    /// <summary>
    /// 스낵바 표시 버튼 클릭시 처리하기
    /// </summary>
    /// <param name="sender">이벤트 발생자</param>
    /// <param name="e">이벤트 인자</param>
    private async void showButton_Clicked(object sender, EventArgs e)
    {
        SnackbarOptions options = new SnackbarOptions
        {
            CornerRadius          = new CornerRadius(10),
            BackgroundColor       = Colors.Blue,
            CharacterSpacing      = 0,
            Font                  = Microsoft.Maui.Font.SystemFontOfSize(16),
            ActionButtonFont      = Microsoft.Maui.Font.SystemFontOfSize(14),
            TextColor             = Colors.White,
            ActionButtonTextColor = Colors.White
        };

        Action action = async () => await DisplayAlert
        (
            "INFORMATION",
            "사용자가 스낵바 액션 버튼을 탭했습니다.",
            "OK"
        );

        ISnackbar snackbar = Snackbar.Make("스낵바 입니다.", action, "종료", TimeSpan.FromSeconds(3), options);

        await snackbar.Show();
    }

    #endregion
}